Bug 129997 - wrong localization domain
wrong localization domain
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
: EasyFix, i18n, StringChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-16 10:44 EDT by Victor Ashik
Modified: 2009-04-16 16:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 22:40:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Victor Ashik 2004-08-16 10:44:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
We do not see localized messages in GUI of redhat-config-cluster when
LANG=ru_RU.UTF-8. strace shows that utility is looking for
config-cluster.mo instead of redhat-config-cluster.mo

Version-Release number of selected component (if applicable):
redhat-config-cluster-1.0.1-4

How reproducible:
Always

Steps to Reproduce:
1. Install redhat-config-cluster
2. take updated ru.po from CVS
3. msgfmt ru.po -o
/usr/share/locale/ru/LC_MESSAGES/redhat-config-cluster.mo
4. LANG=ru_RU.UTF-8 redhat-config-cluster

    

Actual Results:  Partially localized GUI

Expected Results:  Completely localized GUI

Additional info:

The guilty is:
/usr/share/redhat-config-cluster/configure/cluster-config.py:11-12:

PROGNAME="cluster-config"
gettext.bindtextdomain(PROGNAME, "/usr/share/locale")

which does bind to cluster-config instead of redhat-config-cluster as
expected by rpm packager
Comment 1 Jim Parsons 2004-08-26 17:42:36 EDT
This will definitely be fixed in the next release. This bug has given
me  reason to re-aquaint myself with the 'info gettext' docs. :-)
Comment 2 Jim Parsons 2004-09-21 11:37:38 EDT
This fix has been checked in.
Comment 3 John Flanagan 2004-12-20 22:40:13 EST
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-491.html

Note You need to log in before you can comment on or make changes to this bug.